Class | Fog::Compute::Brightbox::Real

In:

lib/fog/brightbox/compute.rb
lib/fog/brightbox/requests/compute/update_firewall_rule.rb
lib/fog/brightbox/requests/compute/get_server_type.rb
lib/fog/brightbox/requests/compute/get_firewall_policy.rb
lib/fog/brightbox/requests/compute/activate_console_server.rb
lib/fog/brightbox/requests/compute/remove_firewall_policy.rb
lib/fog/brightbox/requests/compute/add_listeners_load_balancer.rb
lib/fog/brightbox/requests/compute/update_account.rb
lib/fog/brightbox/requests/compute/list_load_balancers.rb
lib/fog/brightbox/requests/compute/create_application.rb
lib/fog/brightbox/requests/compute/update_image.rb
lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb
lib/fog/brightbox/requests/compute/remove_servers_server_group.rb
lib/fog/brightbox/requests/compute/snapshot_server.rb
lib/fog/brightbox/requests/compute/destroy_server.rb
lib/fog/brightbox/requests/compute/destroy_image.rb
lib/fog/brightbox/requests/compute/destroy_cloud_ip.rb
lib/fog/brightbox/requests/compute/list_zones.rb
lib/fog/brightbox/requests/compute/get_cloud_ip.rb
lib/fog/brightbox/requests/compute/destroy_load_balancer.rb
lib/fog/brightbox/requests/compute/destroy_firewall_policy.rb
lib/fog/brightbox/requests/compute/get_server.rb
lib/fog/brightbox/requests/compute/start_server.rb
lib/fog/brightbox/requests/compute/create_load_balancer.rb
lib/fog/brightbox/requests/compute/destroy_server_group.rb
lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb
lib/fog/brightbox/requests/compute/create_api_client.rb
lib/fog/brightbox/requests/compute/destroy_api_client.rb
lib/fog/brightbox/requests/compute/reset_secret_application.rb
lib/fog/brightbox/requests/compute/get_account.rb
lib/fog/brightbox/requests/compute/get_load_balancer.rb
lib/fog/brightbox/requests/compute/update_scoped_account.rb
lib/fog/brightbox/requests/compute/create_server_group.rb
lib/fog/brightbox/requests/compute/list_server_groups.rb
lib/fog/brightbox/requests/compute/move_servers_server_group.rb
lib/fog/brightbox/requests/compute/update_server_group.rb
lib/fog/brightbox/requests/compute/get_application.rb
lib/fog/brightbox/requests/compute/map_cloud_ip.rb
lib/fog/brightbox/requests/compute/create_server.rb
lib/fog/brightbox/requests/compute/get_user.rb
lib/fog/brightbox/requests/compute/reset_ftp_password_scoped_account.rb
lib/fog/brightbox/requests/compute/create_firewall_policy.rb
lib/fog/brightbox/requests/compute/apply_to_firewall_policy.rb
lib/fog/brightbox/requests/compute/shutdown_server.rb
lib/fog/brightbox/requests/compute/update_application.rb
lib/fog/brightbox/requests/compute/list_cloud_ips.rb
lib/fog/brightbox/requests/compute/destroy_firewall_rule.rb
lib/fog/brightbox/requests/compute/create_firewall_rule.rb
lib/fog/brightbox/requests/compute/destroy_application.rb
lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb
lib/fog/brightbox/requests/compute/get_api_client.rb
lib/fog/brightbox/requests/compute/list_firewall_policies.rb
lib/fog/brightbox/requests/compute/get_firewall_rule.rb
lib/fog/brightbox/requests/compute/get_interface.rb
lib/fog/brightbox/requests/compute/list_users.rb
lib/fog/brightbox/requests/compute/list_api_clients.rb
lib/fog/brightbox/requests/compute/list_applications.rb
lib/fog/brightbox/requests/compute/reset_secret_api_client.rb
lib/fog/brightbox/requests/compute/update_api_client.rb
lib/fog/brightbox/requests/compute/get_image.rb
lib/fog/brightbox/requests/compute/stop_server.rb
lib/fog/brightbox/requests/compute/create_cloud_ip.rb
lib/fog/brightbox/requests/compute/list_images.rb
lib/fog/brightbox/requests/compute/update_cloud_ip.rb
lib/fog/brightbox/requests/compute/update_user.rb
lib/fog/brightbox/requests/compute/get_server_group.rb
lib/fog/brightbox/requests/compute/get_scoped_account.rb
lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb
lib/fog/brightbox/requests/compute/create_image.rb
lib/fog/brightbox/requests/compute/update_load_balancer.rb
lib/fog/brightbox/requests/compute/add_servers_server_group.rb
lib/fog/brightbox/requests/compute/list_servers.rb
lib/fog/brightbox/requests/compute/list_accounts.rb
lib/fog/brightbox/requests/compute/get_zone.rb
lib/fog/brightbox/requests/compute/get_authenticated_user.rb
lib/fog/brightbox/requests/compute/update_server.rb
lib/fog/brightbox/requests/compute/list_server_types.rb
lib/fog/brightbox/requests/compute/remove_listeners_load_balancer.rb

Parent: | Object

The Real Service actually makes real connections to the Brightbox service.

### Methods

activate_console_server add_listeners_load_balancer add_nodes_load_balancer add_servers_server_group apply_to_firewall_policy create_api_client create_application create_cloud_ip create_firewall_policy create_firewall_rule create_image create_load_balancer create_server create_server_group destroy_api_client destroy_application destroy_cloud_ip destroy_firewall_policy destroy_firewall_rule destroy_image destroy_load_balancer destroy_server destroy_server_group get_account get_api_client get_application get_authenticated_user get_cloud_ip get_firewall_policy get_firewall_rule get_image get_interface get_load_balancer get_scoped_account get_server get_server_group get_server_type get_user get_zone list_accounts list_api_clients list_applications list_cloud_ips list_firewall_policies list_images list_load_balancers list_server_groups list_server_types list_servers list_users list_zones map_cloud_ip move_servers_server_group remove_firewall_policy remove_listeners_load_balancer remove_nodes_load_balancer remove_servers_server_group request reset_ftp_password_account reset_ftp_password_scoped_account reset_secret_api_client reset_secret_application shutdown_server snapshot_server start_server stop_server unmap_cloud_ip update_account update_api_client update_application update_cloud_ip update_firewall_rule update_image update_load_balancer update_scoped_account update_server update_server_group update_user wrapped_request

### Included Modules

Shared

### Public Instance methods

activate_console_server(identifier)

Enable console access via VNC to the server for 15 minutes.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_activate_console_server

add_listeners_load_balancer(identifier, options)

Adds a number of listeners to the load balancer to enable balancing across nodes for those settings.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :listeners Array of Listener parameters. Timeout is optional and specified in milliseconds.

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_add_listeners_load_balancer

add_nodes_load_balancer(identifier, options)

Add a number of nodes to the load balancer

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :nodes Array of Node parameters

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_add_nodes_load_balancer

add_servers_server_group(identifier, options)

Add a number of servers to the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing `{"server" => server_id}` for each server to add

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_group_add_servers_server_group

@example

       Compute[:brightbox].add_servers_server_group "grp-12345", :servers => [{"server" => "srv-abcde"}, {"server" => "srv-fghij"}]

apply_to_firewall_policy(identifier, options)

Applies firewall policy to given server group

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :server_group Server Group to apply to

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_apply_to_firewall_policy

create_api_client(options)

Create a new API client for the account.

@param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#api_client_create_api_client

create_application(options)

Create a new application for the user.

@param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#application_create_application

create_cloud_ip(options = {})

Requests a new cloud IP address for the account.

@param [Hash] options @option options [String] :reverse_dns Reverse DNS hostname @option options [String] :name Name for Cloud IP @option options [Array] :port_translators Port on which external clients connect and port on which your service is listening.

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_create_cloud_ip

create_firewall_policy(options)

Create a new firewall policy for the account.

Optionally applying to a server group at creation time.

@param [Hash] options @option options [String] :server_group @option options [String] :name Editable label

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_create_firewall_policy

create_firewall_rule(options)

Create a new firewall rule for a firewall policy.

@param [Hash] options @option options [String] :firewall_policy @option options [String] :protocol @option options [String] :source Required unless destination is set. @option options [String] :source_port @option options [String] :destination Required unless source is set @option options [String] :destination_port @option options [String] :icmp_type_name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#firewall_rule_create_firewall_rule

create_image(options)

Create a new image for the account by registering it against an image stored within the Brightbox cloud image library.

The disk image must be in place before you can attempt to create a reference in the API.

@param [Hash] options @option options [String] :source Filename of the image file uploaded to /incoming via FTP @option options [String] :arch OS architecture this image is built for @option options [String] :name Name for this image. If no name is specified, a name will be autogenerated based on the source filename &amp; current time. Can be modified later. @option options [String] :username Username for the image @option options [Boolean] :public @option options [Boolean] :compatibility_mode @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#image_create_image

create_load_balancer(options)

Create a new load balancer for the account.

@param [Hash] options @option options [String] :name Editable label @option options [Array] :nodes Array of Node parameters @option options [String] :policy Method of Load balancing to use @option options [Array] :listeners What port to listen on, port to pass through to and protocol (tcp, http or http+ws) of listener. Timeout is optional and specified in milliseconds (default is 50000). @option options [String] :healthcheck Healthcheck options - only "port" and "type" required

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_create_load_balancer

create_server(options)

Create a new server for the account based on the required disk image.

Optionally can setup the type of server, zone to locate it, groups to join and custom metadata.

@param [Hash] options @option options [String] :image @option options [String] :name Editable label @option options [String] :server_type @option options [String] :zone Zone in which to create new Server @option options [String] :user_data @option options [Array] :server_groups Array of server groups to add server to

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_create_server

create_server_group(options)

Create a new server group for the account.

@param [Hash] options @option options [String] :name Editable user label @option options [String] :description Editable user description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_group_create_server_group

destroy_api_client(identifier)

Destroy the API client.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#api_client_destroy_api_client

destroy_application(identifier)

Destroy the application.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#application_destroy_application

destroy_cloud_ip(identifier)

Release the cloud IP address from the account‘s ownership.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#cloud_ip_destroy_cloud_ip

destroy_firewall_policy(identifier)

Destroy the firewall policy if not in use.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#firewall_policy_destroy_firewall_policy

destroy_firewall_rule(identifier)

Destroy the firewall rule.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#firewall_rule_destroy_firewall_rule

destroy_image(identifier)

Destroy the image.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#image_destroy_image

destroy_load_balancer(identifier)

Destroy the LoadBalancer

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#load_balancer_destroy_load_balancer

destroy_server(identifier)

Destroy the server and free up the resources.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_destroy_server

destroy_server_group(identifier)

Destroy the server group if not in use.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_group_destroy_server_group

get_account(identifier = nil)

Get full details of the account.

@overload get_account(identifier)

      @param [String] identifier Unique reference to identify the resource

@overload get_account()

      @deprecated Use {Fog::Compute::Brightbox::Real#get_scoped_account} instead

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#account_get_account

get_api_client(identifier)

Get full details of the API client.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#api_client_get_api_client

get_application(identifier)

Get full details of the application.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#application_get_application

get_authenticated_user()

Requests details about authenticated user from the API

@return [Hash] The JSON response parsed to a Hash

get_cloud_ip(identifier)

Get full details of the cloud IP address.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#cloud_ip_get_cloud_ip

get_firewall_policy(identifier)

Get details of the firewall policy

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#firewall_policy_get_firewall_policy

get_firewall_rule(identifier)

Get full details of the firewall rule.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#firewall_rule_get_firewall_rule

get_image(identifier)

Get full details of the image.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#image_get_image

get_interface(identifier)

Get full details of the interface.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#interface_get_interface

get_load_balancer(identifier)

Get full details of the load balancer.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#load_balancer_get_load_balancer

get_scoped_account()

Requests details about currently scoped account

@return [Hash] The JSON response parsed to a Hash

get_server(identifier)

Get full details of the server.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_get_server

get_server_group(identifier)

Get details of the server group.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_group_get_server_group

get_server_type(identifier)

Get full details of the server type.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_type_get_server_type

get_user(identifier = nil)

Get full details of the user.

@overload get_user(identifier)

      @param [String] identifier Unique reference to identify the resource

@overload get_user()

      @deprecated Use {Fog::Compute::Brightbox::Real#get_authenticated_user} instead

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#user_get_user

get_zone(identifier)

Get full details of the zone.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#zone_get_zone

list_accounts()

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#account_list_accounts

list_api_clients()

Lists summary details of API clients owned by the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#api_client_list_api_clients

list_applications()

Lists summary details of applications available to the user

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#application_list_applications

list_cloud_ips()

Lists summary details of cloud IP addresses owned by the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#cloud_ip_list_cloud_ips

list_firewall_policies()

Lists summary details of firewall policies

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#firewall_policy_list_firewall_policies

list_images()

Lists summary details of images available for use by the Account. It includes those available to all customers

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#image_list_images

list_load_balancers()

Lists summary details of load balancers owned by the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#load_balancer_list_load_balancers

list_server_groups()

Lists summary details of server groups owned by the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_group_list_server_groups

list_server_types()

Lists summary details of server types available to the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_type_list_server_types

list_servers()

Lists summary details of servers owned by the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_list_servers

list_users()

Lists summary details of user.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#user_list_users

list_zones()

Lists summary details of zones available to the account.

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#zone_list_zones

map_cloud_ip(identifier, options)

Maps (or points) a cloud IP address at a server‘s interface or a load balancer to allow them to respond to public requests.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :destination The ID of an Interface or LoadBalancer to map the Cloud IP against

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_map_cloud_ip

move_servers_server_group(identifier, options)

Removes a number of server from the server group and adds them to another server group given in parameters.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing `{"server" => server_id}` for each server to remove @option options [String] :destination ServerGroup to move servers to

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_group_move_servers_server_group

@example

       Compute[:brightbox].remove_servers_server_group "grp-12345", :destination => "grp-67890", :servers => [{"server" => "srv-abcde"}, {"server" => "srv-fghij"}]

remove_firewall_policy(identifier, options)

Removes firewall policy from given server group

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :server_group Server Group to remove

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#firewall_policy_remove_firewall_policy

remove_listeners_load_balancer(identifier, options)

Removes a number of listeners from a load balancer to cease balancing across nodes for those settings.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :listeners Array of Listener parameters

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_remove_listeners_load_balancer

remove_nodes_load_balancer(identifier, options)

Remove a number of nodes from the load balancer

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array] :nodes Array of Node parameters

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_remove_nodes_load_balancer

remove_servers_server_group(identifier, options)

Remove a number of servers from the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [Array<Hash>] :servers Array of Hashes containing {"server" => server_id} for each server

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_group_remove_servers_server_group

@example

       Compute[:brightbox].remove_servers_server_group "grp-12345", :servers => [{"server" => "srv-abcde"}, {"server" => "srv-fghij"}]

request(*args)

Makes an API request to the given path using passed options or those set with the service setup

@todo Standard Fog behaviour is to return the Excon::Response but

      this was unintentionally changed to be the Hash version of the
      data in the body. This loses access to some details and should
      be corrected in a backwards compatible manner

@overload request(params)

      @param [Hash] params Excon compatible options
      @option params [String] :body text to be sent over a socket
      @option params [Hash<Symbol, String>] :headers The default headers to supply in a request
      @option params [String] :host The destination host's reachable DNS name or IP, in the form of a String
      @option params [String] :path appears after 'scheme://host:port/'
      @option params [Fixnum] :port The port on which to connect, to the destination host
      @option params [Hash]   :query appended to the 'scheme://host:port/path/' in the form of '?key=value'
      @option params [String] :scheme The protocol; 'https' causes OpenSSL to be used
      @return [Excon::Response]
      @see https://github.com/geemus/excon/blob/master/lib/excon/connection.rb

@overload request(method, path, expected_responses, params = {})

      @param [String] method HTTP method to use for the request
      @param [String] path   The absolute path for the request
      @param [Array<Fixnum>] expected_responses HTTP response codes that have been successful
      @param [Hash] params Keys and values for JSON
      @option params [String] :account_id The scoping account if required
      @deprecated #request with multiple arguments is deprecated
        since it is inconsistent with original fog version.
      @return [Hash]

reset_ftp_password_account(identifier = nil)

Reset the image library ftp password for the account.

@note The response is the only time the new password is available in plaintext.

@overload reset_ftp_password_account(identifier)

      @param [String] identifier Unique reference to identify the resource

@overload reset_ftp_password_account()

      @deprecated Use {Fog::Compute::Brightbox::Real#get_scoped_account} instead

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#account_reset_ftp_password_account

reset_ftp_password_scoped_account()

Resets the image library ftp password for the scoped account

@note The response is the only time the new password is available in plaintext.

@return [Hash] The JSON response parsed to a Hash

reset_secret_api_client(identifier)

Resets the secret used by the API client to a new generated value.

The response is the only time the new secret is available in plaintext.

Already authenticated tokens will still continue to be valid until expiry.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#api_client_reset_secret_api_client

reset_secret_application(identifier)

Resets the secret used by the application to a new generated value.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#application_reset_secret_application

shutdown_server(identifier)

Will issue a safe shutdown request for the server.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_shutdown_server

snapshot_server(identifier)

Will issue a request to snapshot the Server

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_snapshot_server

start_server(identifier)

Will issue a start request for the server to become active.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_start_server

stop_server(identifier)

Will issue a stop request for the server to become inactive.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#server_stop_server

unmap_cloud_ip(identifier)

Unmaps a cloud IP address from its current destination making it available to remap. This remains in the account‘s pool of addresses.

@param [String] identifier Unique reference to identify the resource

@return [Hash] The JSON response parsed to a Hash

@see api.gb1.brightbox.com/1.0/#cloud_ip_unmap_cloud_ip

update_account(*args)

Update some details of the account.

@overload update_account(identifier, options)

      @param [String] identifier Unique reference to identify the resource
      @param [Hash] options
      @option options [String] :name Account name
      @option options [String] :address_1 First line of address
      @option options [String] :address_2 Second line of address
      @option options [String] :city City part of address
      @option options [String] :county County part of address
      @option options [String] :postcode Postcode or Zipcode
      @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`)
      @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil`
      @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@overload update_account(options)

      @deprecated Use {Fog::Compute::Brightbox::Real#update_scoped_account} instead

      @param [Hash] options
      @option options [String] :name Account name
      @option options [String] :address_1 First line of address
      @option options [String] :address_2 Second line of address
      @option options [String] :city City part of address
      @option options [String] :county County part of address
      @option options [String] :postcode Postcode or Zipcode
      @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`)
      @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil`
      @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#account_update_account

update_api_client(identifier, options)

Update some details of the API client.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#api_client_update_api_client

update_application(identifier, options)

Update some details of the application.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#application_update_application

update_cloud_ip(identifier, options)

Update some details of the cloud IP address.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :reverse_dns Reverse DNS hostname @option options [String] :name Name for Cloud IP @option options [Array] :port_translators Port on which external clients connect and port on which your service is listening.

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#cloud_ip_update_cloud_ip

update_firewall_rule(identifier, options)

Update some settings of the firewall rule.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :protocol @option options [String] :source Required unless destination is set. @option options [String] :source_port @option options [String] :destination Required unless source is set @option options [String] :destination_port @option options [String] :icmp_type_name @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#firewall_rule_update_firewall_rule

update_image(identifier, options)

Update some details of the image.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :username @option options [String] :arch @option options [String] :status @option options [Boolean] :public @option options [Boolean] :compatibility_mode @option options [String] :description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#image_update_image

update_load_balancer(identifier, options)

Update some details of the load balancer.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable label @option options [Array] :nodes Array of Node parameters @option options [String] :policy Method of Load balancing to use @option options [Array] :listeners What port to listen on, port to pass through to and protocol (tcp, http or http+ws) of listener. Timeout is optional and specified in milliseconds (default is 50000). @option options [String] :healthcheck Healthcheck options - only "port" and "type" required

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#load_balancer_update_load_balancer

update_scoped_account(options)

Requests an update to the currently scoped account

@param [Hash] options @option options [String] :name Account name @option options [String] :address_1 First line of address @option options [String] :address_2 Second line of address @option options [String] :city City part of address @option options [String] :county County part of address @option options [String] :postcode Postcode or Zipcode @option options [String] :country_code ISO 3166-1 two letter code (example: `GB`) @option options [String] :vat_registration_number Must be a valid EU VAT number or `nil` @option options [String] :telephone_number Valid International telephone number in E.164 format prefixed with `+`

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#account_update_account

update_server(identifier, options)

Update some details of the server.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable label @option options [String] :user_data User defined metadata

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_update_server

update_server_group(identifier, options)

Update some details of the server group.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name Editable user label @option options [String] :description Editable user description

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#server_group_update_server_group

update_user(identifier, options)

Update some details of your user profile.

@param [String] identifier Unique reference to identify the resource @param [Hash] options @option options [String] :name @option options [String] :email_address @option options [String] :ssh_key @option options [String] :password A password string that conforms to the minimum requirements @option options [String] :password_confirmation A password string that conforms to the minimum requirements

@return [Hash, nil] The JSON response parsed to a Hash or nil if no options passed

@see api.gb1.brightbox.com/1.0/#user_update_user

wrapped_request(method, path, expected_responses, parameters = {})

Makes a request but with seperated arguments and parses the response to a hash

@note wrapped_request is the non-standard form of request introduced by mistake

@param [String] method HTTP method to use for the request @param [String] path The absolute path for the request @param [Array<Fixnum>] expected_responses HTTP response codes that have been successful @param [Hash] parameters Keys and values for JSON @option parameters [String] :account_id The scoping account if required

@return [Hash]

[Validate]